import * as core from "@terrascript/core";

export interface DsSubscribedRuleGroupArgs {
  metricName?: string | core.StringOut;

  name?: string | core.StringOut;
}

export class DsSubscribedRuleGroup extends core.Data<DsSubscribedRuleGroupArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public metricName?: string | core.StringOut;

  @core.attr(String)
  public name?: string | core.StringOut;

  constructor(name: string, args?: DsSubscribedRuleGroupArgs) {
    super(name, "aws_waf_subscribed_rule_group", args);
  }

  public override getNamespace(): string {
    return "aws_waf";
  }
}
